Subject: bug#60514: closed (Re: bug#60514: [PATCH] Fix defun reference in comment in c-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Jan 2023 07:00:03 +0000

Your bug report

#60514: [PATCH] Fix defun reference in comment in c-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60514: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60514
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60514: [PATCH] Fix defun reference in comment in c-ts-mode
From: Yuan Fu <[email-masked]>
To: Daniel Martín <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Jan 2023 23:59:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Daniel Martín <[email-masked]> writes:

> Tags: patch
>
>
> I've found a comment in c-ts-mode.el that references an invalid/old
> function.  This patches fixes it, but please double check that it now
> refers to the correct function.  Thanks.

Yes that’s correct. Thanks! I applied the patch.

Yuan

Subject: [PATCH] Fix defun reference in comment in c-ts-mode
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Tue, 03 Jan 2023 13:52:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

I've found a comment in c-ts-mode.el that references an invalid/old
function.  This patches fixes it, but please double check that it now
refers to the correct function.  Thanks.

>From 1ec1442dba441109dbee43d53206a7f653907fc1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Mart=C3=ADn?= <[email-masked]>
Date: Tue, 3 Jan 2023 13:49:08 +0100
Subject: [PATCH] ;; Fix defun reference in comment

---
 lisp/progmodes/c-ts-mode.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/c-ts-mode.el b/lisp/progmodes/c-ts-mode.el
index 1f2a195bf64..ba38845a084 100644
--- a/lisp/progmodes/c-ts-mode.el
+++ b/lisp/progmodes/c-ts-mode.el
@@ -358,7 +358,7 @@ c-ts-mode--font-lock-settings
    :language mode
    :feature 'assignment
    ;; TODO: Recursively highlight identifiers in parenthesized
-   ;; expressions, see `c-ts-mode--fontify-struct-declarator' for
+   ;; expressions, see `c-ts-mode--fontify-declarator' for
    ;; inspiration.
    '((assignment_expression
       left: (identifier) @font-lock-variable-name-face)
-- 
2.34.1